module.exports = {
	root: true,
	env: {
		node: true,
	},
	parser: "@typescript-eslint/parser",
	plugins: ["@typescript-eslint", "jest"],
	extends: [
		"eslint:recommended",
		"plugin:@typescript-eslint/eslint-recommended",
		"plugin:@typescript-eslint/recommended",
		"next/core-web-vitals",
	],
	ignorePatterns: ["webpack.config.js"],
	rules: {
		indent: ["error", "tab"],
		quotes: ["error", "double", "avoid-escape"],
		semi: ["error", "always"],
		"object-curly-spacing": ["error", "always"],
		"no-warning-comments": [
			1,
			{
				terms: ["todo", "change", "fixme", "fix", "bug", "buggy", "temp"],
				location: "anywhere",
			},
		],
		"react/display-name": "off",
		"react/no-unescaped-entities": "off",
	},
	overrides: [
		{
			files: ["**/*.test.ts", "**/*.test.js"],
			env: {
				"jest/globals": true,
			},
			plugins: ["jest"],
			extends: ["plugin:jest/recommended"],
		},
	],
};
