import z from "zod";

export type Book = z.infer<typeof BookDetailedSchema>;

export const BookDetailedSchema = z.object({
	id: z.number(),
	title: z.string(),
	subtitle: z.string(),
	authors: z.string(),
	isbn: z.string(),
	category: z.array(z.string()),
	lccn: z.string().optional(),
	edition: z.string().optional(),
	publisher: z.string().optional(),
	publish_year: z.number().optional(),
	publish_month: z.string().optional(),
	publish_location: z.string().optional(),
	pages: z.number().optional(),
	weight: z.string().optional(),
	last_updated: z.date().optional(),
	deleted: z.boolean().optional(),
});

/*
export const ModifyBookSchema = BookDetailedSchema.partial();

export const BookSchema = z.object({
  id: z.number(),
  title: z.string(),
  isbn: z.string().optional(),
  subtitle: z.string().optional(),
  authors: z.string().optional(),
  category: z.array(z.string()),
});
*/
